Bug 388041 - No pciback module in f8 xen kernel
No pciback module in f8 xen kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 21:09 EST by Szombathelyi György
Modified: 2009-12-14 15:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:55:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Szombathelyi György 2007-11-16 21:09:09 EST
Description of problem:
The pciback module is missing from the xen kernel. Without this it's not
possible to give pci devices to guests.

Version-Release number of selected component (if applicable):
2.6.21-2950.fc8xen

How reproducible:
Try to load pciback module

Steps to Reproduce:
1. modprobe pciback
2.
3.
  
Actual results:
Module pciback not found

Expected results:
Module loaded

Additional info:
Comment 1 Marcel Telka 2007-12-12 17:16:40 EST
Because we are not able to assign PCI devices to guests the whole xen is not
usable in some configurations. I think that the pciback module is quite often
used, so I think that the severity of the bug should be changed to high.

Please note that pciback is also missing in the latest kernel-xen-2.6.21-2952.fc8.
Comment 2 Roman Kisilenko 2008-01-27 09:48:15 EST
This is also a problem for me, I was using pciback actively.
Comment 3 Daniel Berrange 2008-01-27 12:37:51 EST
The pciback.o module *is* present in the i686 kernel, but its missing from
x86_64. The problem seeems to be that kernel-2.6.21.7-x86_64-xen.config is
missing the following settings.

CONFIG_XEN_PCIDEV_BACKEND=m
CONFIG_XEN_PCIDEV_BACKEND_VPCI=y
Comment 4 Fedora Update System 2008-02-02 10:15:59 EST
kernel-xen-2.6-2.6.21-2953.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-02-07 15:55:46 EST
kernel-xen-2.6-2.6.21-2954.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel-xen-2.6'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1328
Comment 6 Marcel Telka 2008-02-07 18:39:18 EST
Following command does not work:
su -c 'yum --enablerepo=updates-testing update kernel-xen-2.6'

The correct command is:
su -c 'yum --enablerepo=updates-testing update kernel-xen'
Comment 7 Bug Zapper 2008-11-26 03:31:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:55:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.